## com.puppycrawl.tools.checkstyle.gui
Class AbstractCellEditor

    java.lang.Object
      com.puppycrawl.tools.checkstyle.gui.AbstractCellEditor

All Implemented Interfaces:
  CellEditor

Direct Known Subclasses:
  JTreeTable.TreeTableCellEditor

    public class AbstractCellEditor

extends Object
implements CellEditor

A base class for CellEditors, providing default implementations for all methods in the CellEditor interface and support for managing a series of listeners. Original Source Location

Author:
  Philip Milne

Constructor Summary
`AbstractCellEditor()`

Method Summary
`void` `addCellEditorListener(CellEditorListener l)`
`void` `cancelCellEditing()`
`protected void` `fireEditingCanceled()`
`protected void` `fireEditingStopped()`
`Object` `getCellEditorValue()`
`boolean` `isCellEditable(EventObject e)`
`void` `removeCellEditorListener(CellEditorListener l)`
`boolean` `shouldSelectCell(EventObject anEvent)`
`boolean` `stopCellEditing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCellEditor

    public AbstractCellEditor()

Method Detail

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`
  See Also:
    `CellEditor`

### isCellEditable

    public boolean isCellEditable(EventObject e)

  Specified by:
    `isCellEditable` in interface `CellEditor`
  See Also:
    `CellEditor`

### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)

  Specified by:
    `shouldSelectCell` in interface `CellEditor`
  See Also:
    `CellEditor`

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `CellEditor`
  See Also:
    `CellEditor`

### cancelCellEditing

    public void cancelCellEditing()

  Specified by:
    `cancelCellEditing` in interface `CellEditor`
  See Also:
    `CellEditor`

### addCellEditorListener

    public void addCellEditorListener(CellEditorListener l)

  Specified by:
    `addCellEditorListener` in interface `CellEditor`
  See Also:
    `CellEditor`

### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener l)

  Specified by:
    `removeCellEditorListener` in interface `CellEditor`
  See Also:
    `CellEditor`

### fireEditingStopped

    protected void fireEditingStopped()

### fireEditingCanceled

    protected void fireEditingCanceled()

Copyright © 2001-2011. All Rights Reserved.